---
title: "Create banner device RAM targeting"
type: reference
method: POST
path: /rest-api/banner/{bannerId}/targeting/device-ram/create.do
tag: "Targeting Rules"
---

# Create banner device RAM targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/device-ram/create.do`

Creates a device RAM targeting rule for the specified banner. Requires DEVICE_RAM targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `7890` | Unique numeric ID of the banner |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `deviceRam` | integer | yes | `2048` | Device RAM in MB |
| `relation` | string | yes | `GREATER_EQUAL` | Comparison relation — LOWER, GREATER, LOWER_EQUAL, GREATER_EQUAL or EQUAL |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Banner not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/device-ram/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'deviceRam=2048' \
  --data-urlencode 'relation=GREATER_EQUAL'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-banner-targeting-device-ram-create